Skip to main content
GET
Get Conversation

Authorizations

Authorization
string
header
required

An API key, sent as Authorization: Bearer hrld_....

Path Parameters

brand_id
string<uuid>
required

The brand's UUID from listBrands.

member
enum<string>
required

The stored conversation key whose history to read.

Available options:
writer,
publicist,
engineer

Query Parameters

limit
integer
default:50

Maximum rows (100).

Required range: 1 <= x <= 100
cursor
string | null

Prior next_cursor; keep filters and limit.

Maximum string length: 4096
task_id
string<uuid> | null

Read the conversation for this action id.

Response

Successful Response

has_older
boolean
required
limit
integer
required
messages
V1ConversationMessage · object[]
required
meta
Meta · object
required

Normalized query and newest included scan.

next_cursor
string | null
required

Pass as cursor with the same query to read the next page; null at the end.

offset
integer
required
total
integer
required